VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Static Public Member Functions | Public Attributes | List of all members
Module::Snapshot Struct Reference

`#include <module.h>`

## Classes
struct | ImageDesc

## Static Public Member Functions
static Optional< double > | decodeScaleFactor (const std::string &path)
static Optional< UID > | decodeUID (const std::string &filename)

## Public Attributes
UID | uid
std::vector< ImageDesc > | images

## Member Function Documentation

## ◆ decodeScaleFactor()

Optional< double > decodeScaleFactor | ( | const std::string & | path | ) |
| static

## ◆ decodeUID()

Optional< UID > decodeUID | ( | const std::string & | filename | ) |
| static

## Member Data Documentation

## ◆ uid

UID uid

## ◆ images

std::vector<ImageDesc> images

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.